aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPolesznyák Márk <contact@pml68.dev>2025-12-29 14:31:35 +0100
committerPolesznyák Márk <contact@pml68.dev>2026-01-09 09:56:37 +0100
commita9df704e45c0982f03984c2f51a15cf4f442cf15 (patch)
treeccb8e80e1e0b98e2a9f1431f918621c22d7f428a
parentfeat: add harelang ctags langmap (diff)
downloaddotfiles-a9df704e45c0982f03984c2f51a15cf4f442cf15.tar.gz
feat(scripts): add betterdiscord script
-rw-r--r--.config/bat/themes/Rose-Pine.tmTheme (renamed from .config/bat/themes/rose-pine.tmTheme)0
-rwxr-xr-xscripts/betterdiscord20
2 files changed, 20 insertions, 0 deletions
diff --git a/.config/bat/themes/rose-pine.tmTheme b/.config/bat/themes/Rose-Pine.tmTheme
index 79cceb5..79cceb5 100644
--- a/.config/bat/themes/rose-pine.tmTheme
+++ b/.config/bat/themes/Rose-Pine.tmTheme
diff --git a/scripts/betterdiscord b/scripts/betterdiscord
new file mode 100755
index 0000000..12d8ce1
--- /dev/null
+++ b/scripts/betterdiscord
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -xe
+
+if ! command -v "bun" >/dev/null 2>&1; then
+ pnpm add -g bun
+fi
+
+if ! [ -d "$HOME/BetterDiscord" ]; then
+ git clone https://github.com/BetterDiscord/BetterDiscord --depth=1 -b main "$HOME/BetterDiscord"
+fi
+
+cd "$HOME/BetterDiscord/" || exit
+git clean -ffxd
+git restore .
+git pull
+bun install
+bun run build
+bun inject
+pkill -9 "Discord";
+discord